Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Interface AbstractMediaObjectInterface

All Superinterfaces:
  QtJambiInterface

All Known Implementing Classes:
  AbstractMediaObject

    public interface AbstractMediaObjectInterface

extends QtJambiInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_AbstractMediaObject(long ptr)` This method is internal to Qt Jambi.
`long` | `currentTime()` This method is internal to Qt Jambi.
`java.lang.String` | `errorString()` This method is internal to Qt Jambi.
`Phonon.ErrorType` | `errorType()` This method is internal to Qt Jambi.
`boolean` | `hasVideo()` This method is internal to Qt Jambi.
`boolean` | `isSeekable()` This method is internal to Qt Jambi.
`void` | `pause()` This method is internal to Qt Jambi.
`void` | `play()` This method is internal to Qt Jambi.
`int` | `prefinishMark()` This method is internal to Qt Jambi.
`long` | `remainingTime()` This method is internal to Qt Jambi.
`void` | `seek(long milliseconds)` This method is internal to Qt Jambi.
`void` | `setNextSource(MediaSource source)` This method is internal to Qt Jambi.
`void` | `setPrefinishMark(int arg__1)` This method is internal to Qt Jambi.
`void` | `setSource(MediaSource arg__1)` This method is internal to Qt Jambi.
`void` | `setTickInterval(int interval)` This method is internal to Qt Jambi.
`void` | `setTransitionTime(int arg__1)` This method is internal to Qt Jambi.
`MediaSource` | `source()` This method is internal to Qt Jambi.
`Phonon.State` | `state()` This method is internal to Qt Jambi.
`void` | `stop()` This method is internal to Qt Jambi.
`int` | `tickInterval()` This method is internal to Qt Jambi.
`long` | `totalTime()` This method is internal to Qt Jambi.
`int` | `transitionTime()` This method is internal to Qt Jambi.

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### currentTime

    long currentTime()

  This method is internal to Qt Jambi.

### errorString

    java.lang.String errorString()

  This method is internal to Qt Jambi.

### errorType

    Phonon.ErrorType errorType()

  This method is internal to Qt Jambi.

### hasVideo

    boolean hasVideo()

  This method is internal to Qt Jambi.

### isSeekable

    boolean isSeekable()

  This method is internal to Qt Jambi.

### pause

    void pause()

  This method is internal to Qt Jambi.

### play

    void play()

  This method is internal to Qt Jambi.

### prefinishMark

    int prefinishMark()

  This method is internal to Qt Jambi.

### remainingTime

    long remainingTime()

  This method is internal to Qt Jambi.

### seek

    void seek(long milliseconds)

  This method is internal to Qt Jambi.

### setNextSource

    void setNextSource(MediaSource source)

  This method is internal to Qt Jambi.

### setPrefinishMark

    void setPrefinishMark(int arg__1)

  This method is internal to Qt Jambi.

### setSource

    void setSource(MediaSource arg__1)

  This method is internal to Qt Jambi.

### setTickInterval

    void setTickInterval(int interval)

  This method is internal to Qt Jambi.

### setTransitionTime

    void setTransitionTime(int arg__1)

  This method is internal to Qt Jambi.

### source

    MediaSource source()

  This method is internal to Qt Jambi.

### state

    Phonon.State state()

  This method is internal to Qt Jambi.

### stop

    void stop()

  This method is internal to Qt Jambi.

### tickInterval

    int tickInterval()

  This method is internal to Qt Jambi.

### totalTime

    long totalTime()

  This method is internal to Qt Jambi.

### transitionTime

    int transitionTime()

  This method is internal to Qt Jambi.

### __qt_cast_to_AbstractMediaObject

    long __qt_cast_to_AbstractMediaObject(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD